## org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel
Class EventLocationType

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel.EventLocationType

All Implemented Interfaces:
  java.io.Serializable, org.eclipse.emf.common.util.Enumerator

    public final class EventLocationType

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Event Location Type', and utility methods for working with them.

See Also:
  `SybaseasabasesqlmodelPackage.getEventLocationType()`, Serialized Form

Field Summary
`static int` `ALL` The 'ALL' literal value.
`static EventLocationType` `ALL_LITERAL` The 'ALL' literal object.
`static int` `CONSOLIDATED` The 'CONSOLIDATED' literal value.
`static EventLocationType` `CONSOLIDATED_LITERAL` The 'CONSOLIDATED' literal object.
`static int` `REMOTE` The 'REMOTE' literal value.
`static EventLocationType` `REMOTE_LITERAL` The 'REMOTE' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Event Location Type' enumerators.

Method Summary
`static EventLocationType` `get(int value)` Returns the 'Event Location Type' literal with the specified integer value.
`static EventLocationType` `get(java.lang.String literal)` Returns the 'Event Location Type' literal with the specified literal value.
`static EventLocationType` `getByName(java.lang.String name)` Returns the 'Event Location Type' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ALL

    public static final int ALL

  The 'ALL' literal value.

  If the meaning of 'ALL' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ALL_LITERAL`, Constant Field Values

### REMOTE

    public static final int REMOTE

  The 'REMOTE' literal value.

  If the meaning of 'REMOTE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `REMOTE_LITERAL`, Constant Field Values

### CONSOLIDATED

    public static final int CONSOLIDATED

  The 'CONSOLIDATED' literal value.

  If the meaning of 'CONSOLIDATED' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CONSOLIDATED_LITERAL`, Constant Field Values

### ALL_LITERAL

    public static final EventLocationType ALL_LITERAL

  The 'ALL' literal object.

  See Also:
    `ALL`

### REMOTE_LITERAL

    public static final EventLocationType REMOTE_LITERAL

  The 'REMOTE' literal object.

  See Also:
    `REMOTE`

### CONSOLIDATED_LITERAL

    public static final EventLocationType CONSOLIDATED_LITERAL

  The 'CONSOLIDATED' literal object.

  See Also:
    `CONSOLIDATED`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Event Location Type' enumerators.

Method Detail

### get

    public static EventLocationType get(java.lang.String literal)

  Returns the 'Event Location Type' literal with the specified literal value.

### getByName

    public static EventLocationType getByName(java.lang.String name)

  Returns the 'Event Location Type' literal with the specified name.

### get

    public static EventLocationType get(int value)

  Returns the 'Event Location Type' literal with the specified integer value.